Skip to main content
PATCH
/
public
/
{user_id}
/
orders
/
{publicOrder_uuid}
/
addresses
/
{customerAddress_id}
Update Order Address
curl --request PATCH \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/addresses/{customerAddress_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "line_one": "ucayaqhitpnhnoeudujxwe",
  "line_two": "axwtexmwnntseuykz",
  "city": "mdy",
  "postcode": "mvefmfjnjhkzpkwxrkqs",
  "province_code": "psgzsyrzm",
  "contact_email": "[email protected]",
  "vat_number": "ojmomnkyrodpjvzenlcha",
  "company_code": "rnhxmroymhbtapjtbdnkw",
  "first_name": "omwbrkgzmwjzfhbrkxulhj",
  "last_name": "qwxqkppsdioopkrepeqtjsqk",
  "company_name": "ovbcjhipsqbunzwoaxupuqh",
  "contact_phone": "dnrgp"
}
'
{
  "data": {
    "uuid": "a13651d3-6a5d-4427-ba30-caa61f677e8f",
    "first_name": "Jazmin",
    "last_name": "Hammes",
    "company_name": "Moore, Bode and Ebert",
    "vat_number": "92320-2230",
    "vat_validation_status": "invalid",
    "vat_validated_at": "2025-01-01T00:00:00.0000000+00:00",
    "line_one": "98343 Lueilwitz Spurs",
    "line_two": "4406 Klein Estates",
    "line_three": "50142 Kian Mount Suite 409",
    "city": "Murphymouth",
    "province_code": "GW",
    "country_code": "MN",
    "postcode": "49818-5259",
    "contact_email": "[email protected]",
    "contact_phone": "+1 (501) 293-0902",
    "company_code": "43931820"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

publicOrder_uuid
string
required
customerAddress_id
integer
required

The ID of the customerAddress.

Body

application/json
line_one
string
required

Must not be greater than 255 characters.

Example:

"ucayaqhitpnhnoeudujxwe"

city
string
required

Must not be greater than 255 characters.

Example:

"mdy"

postcode
string
required

Must not be greater than 20 characters.

Example:

"mvefmfjnjhkzpkwxrkqs"

line_two
string | null

Must not be greater than 255 characters.

Example:

"axwtexmwnntseuykz"

province_code
string | null

Must not be greater than 10 characters.

Example:

"psgzsyrzm"

contact_email
string | null

Must be a valid email address. Must not be greater than 255 characters.

vat_number
string | null

Must not be greater than 50 characters.

Example:

"ojmomnkyrodpjvzenlcha"

company_code
string | null

Must not be greater than 50 characters.

Example:

"rnhxmroymhbtapjtbdnkw"

first_name
string | null

Must not be greater than 255 characters.

Example:

"omwbrkgzmwjzfhbrkxulhj"

last_name
string | null

Must not be greater than 255 characters.

Example:

"qwxqkppsdioopkrepeqtjsqk"

company_name
string | null

Must not be greater than 255 characters.

Example:

"ovbcjhipsqbunzwoaxupuqh"

contact_phone
string | null

Must not be greater than 50 characters.

Example:

"dnrgp"

Response

200 - application/json
data
object